#!/bin/sh

sync

if test $1 = "sd"; then
	if test "`lsmod | grep "g_file_storage"`"; then
		# remove modules...
		rmmod g_file_storage
		rmmod net2272

		# mount sd...
		mount -t vfat -o iocharset=utf8,sync,noatime /dev/mmcsd/disc0/part1 /mnt/sd
	fi
else
	# load NAND settings...
	. /usr/gp2x/nandcfg.sh

	# remove modules...
	rmmod g_file_storage
	rmmod net2272

	# mount nand...
	${BINDIR}/nandmount.sh
fi

modprobe net2272 susp=0
rmmod net2272

sync
